diff -ur qgis-0.7.4.orig/plugins/geoprocessing/qgsdlgpgbuffer.h qgis-0.7.4/plugins/geoprocessing/qgsdlgpgbuffer.h
--- qgis-0.7.4.orig/plugins/geoprocessing/qgsdlgpgbuffer.h	2005-06-03 07:02:14.000000000 +0200
+++ qgis-0.7.4/plugins/geoprocessing/qgsdlgpgbuffer.h	2006-03-10 11:33:57.000000000 +0100
@@ -29,7 +29,7 @@
   //! Constructor
     QgsDlgPgBuffer( QgisIface * _qI = 0, QWidget * parent = 0, const char *name = 0);
     //! Destructor
-    QgsDlgPgBuffer::~QgsDlgPgBuffer();
+    ~QgsDlgPgBuffer();
     //! Set the information label in the dialog
     void setBufferLabel(QString & lbl);
     //! Get the buffer distance
diff -ur qgis-0.7.4.orig/plugins/grid_maker/graticulecreator.h qgis-0.7.4/plugins/grid_maker/graticulecreator.h
--- qgis-0.7.4.orig/plugins/grid_maker/graticulecreator.h	2005-05-29 22:04:47.000000000 +0200
+++ qgis-0.7.4/plugins/grid_maker/graticulecreator.h	2006-03-10 12:01:31.000000000 +0100
@@ -19,8 +19,8 @@
                          double theXEndPointDouble,
                          double theYEndPointDouble);
         ~GraticuleCreator() {};
-        DBFHandle GraticuleCreator::createDbf (QString theDbfName ) ;
-        SHPHandle GraticuleCreator::createShapeFile(QString theFileName ); 
+        DBFHandle createDbf (QString theDbfName ) ;
+        SHPHandle createShapeFile(QString theFileName ); 
         void writeDbfRecord (DBFHandle theDbfHandle, int theRecordIdInt, QString theLabel) ;
         void writePoint(SHPHandle theShapeHandle, int theRecordInt, double theXDouble, double y ); 
         //! Writes a WGS 84 .prj file for the generated grid
diff -ur qgis-0.7.4.orig/src/qgslabel.h qgis-0.7.4/src/qgslabel.h
--- qgis-0.7.4.orig/src/qgslabel.h	2005-06-03 11:42:55.000000000 +0200
+++ qgis-0.7.4/src/qgslabel.h	2006-03-09 19:57:52.000000000 +0100
@@ -91,7 +91,7 @@
     void addRequiredFields ( std::list<int> *fields );
 
     //! Available vector fields
-    std::vector<QgsField> & QgsLabel::fields ( void );
+    std::vector<QgsField> & fields ( void );
 
     //! Pointer to default attributes
     QgsLabelAttributes *layerAttributes ( void );
diff -ur qgis-0.7.4.orig/src/qgsproject.h qgis-0.7.4/src/qgsproject.h
--- qgis-0.7.4.orig/src/qgsproject.h	2005-05-12 05:21:56.000000000 +0200
+++ qgis-0.7.4/src/qgsproject.h	2006-03-09 19:51:07.000000000 +0100
@@ -95,9 +95,9 @@
        write()
      */
     //@{
-    bool QgsProject::dirty() const;
+    bool dirty() const;
 
-    void QgsProject::dirty( bool b );
+    void dirty( bool b );
     //@}
 
 
diff -ur qgis-0.7.4.orig/src/qgsprojectproperties.h qgis-0.7.4/src/qgsprojectproperties.h
--- qgis-0.7.4.orig/src/qgsprojectproperties.h	2005-10-24 02:00:18.000000000 +0200
+++ qgis-0.7.4/src/qgsprojectproperties.h	2006-03-09 19:52:14.000000000 +0100
@@ -60,7 +60,7 @@
   /*! Accessor for projection */
   QString projectionWKT();
   /*! Indicates that the projection switch is on */
-  bool QgsProjectProperties::isProjected();
+  bool isProjected();
 public slots:
   /*! 
    * Slot called when a new button (unit) is selected
diff -ur qgis-0.7.4.orig/src/qgsrasterlayerproperties.h qgis-0.7.4/src/qgsrasterlayerproperties.h
--- qgis-0.7.4.orig/src/qgsrasterlayerproperties.h	2005-07-31 07:03:14.000000000 +0200
+++ qgis-0.7.4/src/qgsrasterlayerproperties.h	2006-03-09 19:51:35.000000000 +0100
@@ -69,7 +69,7 @@
         /** \brief slot executed when the three band radio button is pressed. */
         void rbtnThreeBand_toggled( bool );
         /** \brief slot executed when user wishes to refresh raster histogram */
-        void QgsRasterLayerProperties::pbnHistRefresh_clicked();
+        void pbnHistRefresh_clicked();
         /** Override the SRS specified when the layer was loaded */
         void pbnChangeSpatialRefSys_clicked();
 
